package com.jojubanking.boot.module.system.service.kstype;

import java.util.*;
import javax.validation.*;
import com.jojubanking.boot.module.system.controller.admin.kstype.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.kstype.KsTypeDO;
import com.jojubanking.boot.framework.common.pojo.PageResult;

/**
 * 科室类别 Service 接口
 *
 * @author admin
 */
public interface KsTypeService {

    /**
     * 创建科室类别
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Integer createKsType(@Valid KsTypeCreateReqVO createReqVO);

    /**
     * 更新科室类别
     *
     * @param updateReqVO 更新信息
     */
    void updateKsType(@Valid KsTypeUpdateReqVO updateReqVO);

    /**
     * 删除科室类别
     *
     * @param id 编号
     */
    void deleteKsType(Integer id);

    /**
     * 获得科室类别
     *
     * @param id 编号
     * @return 科室类别
     */
    KsTypeDO getKsType(Integer id);

    /**
     * 获得科室类别列表
     *
     * @param ids 编号
     * @return 科室类别列表
     */
    List<KsTypeDO> getKsTypeList(Collection<Integer> ids);

    /**
     * 获得科室类别分页
     *
     * @param pageReqVO 分页查询
     * @return 科室类别分页
     */
    PageResult<KsTypeDO> getKsTypePage(KsTypePageReqVO pageReqVO);

    /**
     * 获得科室类别列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 科室类别列表
     */
    List<KsTypeDO> getKsTypeList(KsTypeExportReqVO exportReqVO);

}
